# Variables

A HARP variable is a named multi-dimensional array with associated attributes (see section Variable attributes). The base type of a variable can be any of the data types supported by HARP (see section Data types). A variable can have zero or more dimensions. A variable with zero dimensions is a scalar. The maximum number of dimensions is 8. Each dimension of a variable has a type that refers to one of the dimension types supported by HARP (see section Dimensions). Dimensions of the same type should have the same length, except independent dimensions.

Variables have a name that should follow the Variable naming convention.